#
# spec file for package google-roboto-fonts
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define fontname0      roboto-fonts
%define fontname2      robotoslab-fonts
%define docname        roboto-doc

Name:           google-roboto-fonts
# Version is actually not quite correct, as all the fonts were last touched
# on different date -- the latest one to be touched was condensed here
Version:        20150820
Release:        4.2
Summary:        Mechanical yet friendly fonts originally designed for Android
License:        Apache-2.0
Group:          System/X11/Fonts
Url:            https://www.google.com/design/spec/style/typography.html
# to retrieve the font:
# git clone https://github.com/google/roboto
# create a tarball of hinted directory
Source0:        %{fontname0}-%{version}.tar.bz2
Source2:        %{fontname2}-20130925.tar.bz2
Source3:        %{docname}-20130925.tar.bz2
BuildRequires:  fontpackages-devel
%reconfigure_fonts_prereq
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The Android design language relies on traditional typographic tools
such as scale, space, rhythm, and alignment with an underlying grid.
Successful deployment of these tools is essential to help users quickly
understand a screen of information.

To support such use of typography, Android 4.0 (Ice Cream Sandwich)
introduced a new type family named Roboto, created specifically for
the requirements of UI and high-resolution screens.

This package contains the original Roboto sans-serif font, a condensed
version of the sans-serif version, and a newer slab-serif version.

Designer: Christian Robertson


%prep
%setup -c -n %{fontname0}-%{version} -a 0
tar -xjvf  %{S:2} --strip=1 %{fontname2}-20130925
tar -xjvf  %{S:3} --strip=1 %{docname}-20130925

%build
# --- Nothing to do ---

%install
mkdir -p %{buildroot}%{_ttfontsdir}
install -m 0644 *.ttf %{buildroot}%{_ttfontsdir}/

%reconfigure_fonts_scriptlets

%files
%defattr(-,root,root)
%doc *.pdf *.txt
%{_ttfontsdir}

%changelog
* Sun Feb  7 2016 qzhao@suse.com
- Update to add LICENSE file
* Mon Oct 12 2015 fcrozat@suse.com
- Update main font to Roboto 2.0 (snapshot 2015/08/20)
- Update url.
* Wed Sep 25 2013 sknorr@suse.de
- update Roboto & Roboto Condensed (from hg)
- add Roboto Slab (from hg)
- add archive with documentation (from homepage URL)
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Fri Jun 29 2012 toms@opensuse.org
- First initial version checked out from Mercurial repository,
  dated 20120626
